Package org.apache.avro.util

# Class SchemaResolver

java.lang.Object
org.apache.avro.util.SchemaResolver

public final class SchemaResolver extends Object
Utility class to resolve schemas that are unavailable at the point they are referenced in a schema file. This class is meant for internal use: use at your own risk!

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`SchemaResolver.IsResolvedSchemaVisitor`
This visitor checks if the current schema is fully resolved.
`static final class`
`SchemaResolver.ResolvingVisitor`
This visitor creates clone of the visited Schemata, minus the specified schema properties, and resolves all unresolved schemas.

## Method Summary

Modifier and Type
Method
Description
`static String`
`getUnresolvedSchemaName(Schema schema)`
Get the unresolved schema name.
`static boolean`
`isFullyResolvedSchema(Schema schema)`
Is this an unresolved schema?
`static boolean`
`isUnresolvedSchema(Schema schema)`
Is this an unresolved schema.
`static Schema`
`unresolvedSchema(String name)`
Create a schema to represent an "unresolved" schema.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### unresolvedSchema

public static Schema unresolvedSchema(String name)
Create a schema to represent an "unresolved" schema. (used to represent a schema whose definition does not exist, yet).

Parameters:
  `name` - a schema name
Returns:
  an unresolved schema for the given name

### isUnresolvedSchema

public static boolean isUnresolvedSchema(Schema schema)
Is this an unresolved schema.

Parameters:
  `schema` - a schema
Returns:
  whether the schema is an unresolved schema

### getUnresolvedSchemaName

public static String getUnresolvedSchemaName(Schema schema)
Get the unresolved schema name.

Parameters:
  `schema` - an unresolved schema
Returns:
  the name of the unresolved schema

### isFullyResolvedSchema

public static boolean isFullyResolvedSchema(Schema schema)
Is this an unresolved schema?